//------------------------------------------------------------
#ifndef _RODOS3_H_
#define _RODOS3_H_
//------------------------------------------------------------
#include "usb.h"
#include <inttypes.h>
//------------------------------------------------------------
class RODOS3_t : public usb_t
{
public:
    RODOS3_t (uint16_t VID, uint16_t PID) : usb_t(VID, PID) {}
    RODOS3_t (const char *path) : usb_t(path) {}
    ~RODOS3_t (){}
//-----------
public:
    bool    STATE__ON();
    bool    STATE__OFF();
    bool    STATE__READ(uint8_t *PS);
    bool    SET_PULSE(uint16_t S, uint8_t D);
};
//------------------------------------------------------------
#endif  // _RODOS3_H_
//------------------------------------------------------------
